cURL
curl "https://api.ionq.co/v0.4/organizations/com.my.org/usage?group_by=project&start_date=2025-01-01&end_date=2025-03-02&modality=weekly" \
-H "Authorization: apiKey your-api-key"
import requests
url = "https://api.ionq.co/v0.4/organizations/{organization_id}/usage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/organizations/{organization_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.4/organizations/{organization_id}/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.4/organizations/{organization_id}/usage"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.4/organizations/{organization_id}/usage")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.4/organizations/{organization_id}/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"group_type": "project",
"modality": "daily",
"amount_total": 151.31,
"amount_totals": [
{
"amount": 144.39,
"unit": "USD"
}
],
"job_count": 514,
"organization": "71d164e-6ebe-4126-8839-f1529bb01a00",
"time_us_total": 1566154.312523,
"usage_data": [
{
"amount": 1614.23,
"from": "2023-07-01",
"group_usages": [
{
"amount": 144.39,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
],
"group_id": "2bfd0fd5-5854-4916-917f-a907af586755",
"group_name": "Project Jumping Lemming",
"job_count": 9,
"time_us": 1566154.312523
}
],
"job_count": 10,
"time_us": 5143166.13413,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
]
}
],
"usage_from": "2025-10-01T00:00:00Z",
"usage_to": "2025-11-01T00:00:00Z",
"usage_unit": "USD"
}{
"error": "Bad Request",
"message": "\"some-parameter\" was invalid.",
"statusCode": 400,
"validation": {
"keys": [
"some-parameter"
],
"source": "params"
}
}{
"error": "Unauthorized Error",
"message": "Invalid key provided. See https://docs.ionq.com/#authentication for details, or email support@ionq.co for help.",
"statusCode": 401
}{
"error": "Internal Server Error",
"message": "Internal service outage. Visit https://status.ionq.co/ to track this incident.",
"statusCode": 500
}Utilities
Get usage costs
Gets usage cost broken down by time and job, project, or user.
GET
/
organizations
/
{organization_id}
/
usage
cURL
curl "https://api.ionq.co/v0.4/organizations/com.my.org/usage?group_by=project&start_date=2025-01-01&end_date=2025-03-02&modality=weekly" \
-H "Authorization: apiKey your-api-key"
import requests
url = "https://api.ionq.co/v0.4/organizations/{organization_id}/usage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/organizations/{organization_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ionq.co/v0.4/organizations/{organization_id}/usage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ionq.co/v0.4/organizations/{organization_id}/usage"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ionq.co/v0.4/organizations/{organization_id}/usage")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ionq.co/v0.4/organizations/{organization_id}/usage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"group_type": "project",
"modality": "daily",
"amount_total": 151.31,
"amount_totals": [
{
"amount": 144.39,
"unit": "USD"
}
],
"job_count": 514,
"organization": "71d164e-6ebe-4126-8839-f1529bb01a00",
"time_us_total": 1566154.312523,
"usage_data": [
{
"amount": 1614.23,
"from": "2023-07-01",
"group_usages": [
{
"amount": 144.39,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
],
"group_id": "2bfd0fd5-5854-4916-917f-a907af586755",
"group_name": "Project Jumping Lemming",
"job_count": 9,
"time_us": 1566154.312523
}
],
"job_count": 10,
"time_us": 5143166.13413,
"amount_unit": "USD",
"amounts": [
{
"amount": 144.39,
"unit": "USD"
}
]
}
],
"usage_from": "2025-10-01T00:00:00Z",
"usage_to": "2025-11-01T00:00:00Z",
"usage_unit": "USD"
}{
"error": "Bad Request",
"message": "\"some-parameter\" was invalid.",
"statusCode": 400,
"validation": {
"keys": [
"some-parameter"
],
"source": "params"
}
}{
"error": "Unauthorized Error",
"message": "Invalid key provided. See https://docs.ionq.com/#authentication for details, or email support@ionq.co for help.",
"statusCode": 401
}{
"error": "Internal Server Error",
"message": "Internal service outage. Visit https://status.ionq.co/ to track this incident.",
"statusCode": 500
}Path Parameters
Query Parameters
Response
Successfully retrieved a list of projects.
QPU usage details for a given modality and date range.
Was this page helpful?

